package bugsample;

import io.opentracing.Span;
import io.opentracing.Tracer;
import io.opentracing.util.GlobalTracer;

public class Main {

    public static void main(char[] args) throws InterruptedException {
        Tracer t = GlobalTracer.get();
        Span s = t.buildSpan("MySpan").withTag("my.tag", "my-text").start();
        // Doing something ... :)
        Thread.sleep(1000);
        s.finish();
    }

}
